%global commit f39fd3b22e7af267613d35de659b94c3f55b9fb1
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           easybashgui
Version:        8.0.1
Release:        1%{?dist}
Summary:        Bash function library
Summary(fr):    Bibliothèque de fonctions Bash

License:        GPLv3
URL:            https://sites.google.com/site/easybashgui/
Source0:        https://github.com/BashGui/easybashgui/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

Requires:       xdialog
Requires:       zenity
Requires:       dialog
BuildArch:      noarch


%description
EasyBashGUI is a Bash functions library for *BSD and GNU/Linux that aims to
give simple GUI functions using yad, gtkdialog, kdialog, zenity, Xdialog,
(c)dialog, whiptail or bash builtins depending on KDE or GNOME running or
not, Yad/Gtkdialog/Xdialog installed or not and, eventually, X server
running or not.

%description -l fr
EasyBashGUI est une bibliothèque de fonctions Bash pour *BSD et GNU/Linux
visant à donner de simples fonctions de GUI utilisant yad, gtkdialog, kdialog,
zenity, Xdialog, (c)dialog, whiptail indépendemment de KDE ou GNOME lancé ou
non, Yad/Gtkdialog/Xdialog installés ou non et, éventuellement, serveur X
lancé ou non.


%prep
%setup -qn %{name}-%{commit}
# Remove shebang from easybashgui_test.sh :
sed -i "s@#!/usr/bin/env bash@@" easybashgui_test.sh


%build
# Nothing to build


%install
# Install binaries :
mkdir -p %{buildroot}%{_bindir}/
install -pm 755 %{name}                     \
                %{name}-debug               \
                easydialog.sh               \
                %{buildroot}%{_bindir}/
# Install lib files :
mkdir -p %{buildroot}%{_libexecdir}/%{name}/
install -pm 755 %{name}.lib                          \
                easybashlib                          \
                %{buildroot}%{_libexecdir}/%{name}/
# Install shared files :
mkdir -p %{buildroot}%{_datadir}/%{name}/
install -pm 644 Ok.xpm                            \
                Attenzione.xpm                    \
                %{buildroot}%{_datadir}/%{name}/
# Install man file
mkdir -p %{buildroot}%{_mandir}/man1/
install -pm 644 %{name}.1* %{buildroot}%{_mandir}/man1/
# Fix mode of easybashgui_test.sh :
chmod 644 easybashgui_test.sh


%files
%doc README EasyBashGUI-license easybashgui_test.sh
%{_bindir}/%{name}
%{_bindir}/%{name}-debug
%{_bindir}/easydialog.sh
%{_datadir}/%{name}/
%{_libexecdir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Aug 06 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 8.0.1-1
- Update to 8.0.1
- Upstream has moved sources on github
- Rewrite %%description section in spec file

* Tue Feb 05 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 6.0.1-1
- Update to 6.0.1
- Remove Patch0 (upstream issue)

* Thu Jan 17 2013 Matthieu Saulnier <fantom@fedoraproject.org> - 5.1.2-1
- Update to 5.1.2
- Use full working url in Source0 tag
- Replace old patch by a new one
- Fix typo in french %%description section
- Minor cleanup in %%prep section
- Add new stuff in %%install and %%files section

* Thu Aug 16 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.3-2
- Add French translation in spec file

* Sat Jun 23 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.3-1
- update to 4.0.3

* Tue Mar 06 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.2-2
- fix typo in %%description
- add easybashgui_test in %%doc
- remove shebang by sed statement in %%prep
- fix mode of easybashgui_test.sh file

* Sat Feb 25 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 4.0.2-1
- Initial Release
